#
# spec file for package net-tools (Version 1.60)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           net-tools
URL:            http://www.tazenda.demon.co.uk/phil/net-tools/
License:        GPL
Group:          Productivity/Networking/Other
Provides:       traceroute net_tool
Provides:       iputils:/usr/sbin/traceroute6
Provides:       iputils:/usr/share/man/man8/traceroute6.1.gz
Obsoletes:      traceroute net_tool
Autoreqprov:    on
Version:        1.60
Release:        583.4
Summary:        Important Programs for Networking
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         net-tools-%{version}.tar.bz2
Source1:        ftp://ftp.lst.de/pub/people/okir/traceroute/traceroute-1.0.4.tar.bz2
Source2:        netstat.xinetd
Source3:        nstrcmp.c
Patch:          net-tools-%{version}.dif
Patch1:         netstat-trunc.dif
Patch2:         manpages.diff
Patch4:         net-tools-1.60-multilinestr.diff
Patch5:         net-tools-1.60-krn26.dif
Patch7:         net-tools-1.60-long_to_int.diff
Patch8:         net-tools-1.60-compoundstatement.diff
Patch9:         nameif-rename.patch
Patch10:        net-tools-1.60-errors.patch
Patch11:        net-tools-1.60-cont-buff.patch
Patch12:        net-tools-1.60-miioff.diff
Patch13:        net-tools-1.60-nameif.diff
Patch14:        net-tools-1.60-sockios-SIOCGMIIPHY.diff
Patch15:        net-tools-1.60-numericstuff.diff
Patch16:        net-tools-1.60-if_tr.diff
Patch17:        traceroute-LDOPTS.diff
Patch18:        net-tools-1.60-netstat.8.diff
Patch19:        net-tools-1.60-strictaliasing.diff
Patch20:        net-tools-1.60-interface_stack.patch
Patch21:        net-tools-1.60-arp-unaligned-access.patch
Patch22:        net-tools-1.60-snmp-counter-overflow.patch
Patch23:        net-tools-1.60-netstat-output.patch
Patch24:        net-tools-1.60-netstat-p.patch
Patch25:        net-tools-1.60-sctp.patch
Patch26:        net-tools-1.60-sctp-quiet

%description
This package contains essential programs for network administration and
maintenance: netstat, hostname, arp, ifconfig, rarp, and route.



Authors:
--------
    Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>
    Bernd Eckenfels <net-tools@lina.inka.de>
    Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de>
    Peter Tobias <tobias@et-inf.fho-emden.de>
    Olaf Kirch <okir@suse.de>

%debug_package
%prep
%setup -q -a1
cp %{S:3} lib/
%patch
%patch1
%patch2 -p1
%patch4
%patch5
%patch7 -p1
%patch8 -p1
%patch9
%patch10 -p1 -b .errors
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
cd traceroute-*
%patch17 -p2
cd ..
%patch18 -p1
%patch19 -p1
%patch20
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1

%build
make config
make COPTS="-D_GNU_SOURCE $RPM_OPT_FLAGS" LOPTS=""
cd traceroute-*
make CCOPTS="$RPM_OPT_FLAGS -fpie" LDOPTS="-pie"
cd ..

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/netstat
make install BASEDIR=$RPM_BUILD_ROOT
for tool in \
%ifarch s390
		plipconfig slattach \
%endif
		nisdomainname ypdomainname mii-tool
do
	rm -f $RPM_BUILD_ROOT/*bin/$tool
	rm -f $RPM_BUILD_ROOT/%{_mandir}/man*/$tool.*
	rm -f $RPM_BUILD_ROOT/%{_mandir}/*/man*/$tool.*
done
cd traceroute-*
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT CCOPTS="$RPM_OPT_FLAGS" install
cp traceroute.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
ln -s traceroute.1 $RPM_BUILD_ROOT/%{_mandir}/man1/traceroute6.1
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/*
/sbin/*
/usr/sbin/*
%_mandir/man*/*
%_datadir/locale/*/LC_MESSAGES/net-tools.mo
%config(noreplace) /etc/xinetd.d/netstat
%dir %lang(de_DE) %_mandir/de_DE
%dir %lang(de_DE) %_mandir/de_DE/man*
%lang(de_DE) %doc %_mandir/de_DE/man*/*
%dir %lang(fr_FR) %_mandir/fr_FR
%dir %lang(fr_FR) %_mandir/fr_FR/man*
%lang(fr_FR) %doc %_mandir/fr_FR/man*/*
%dir %lang(pt_BR) %_mandir/pt_BR
%dir %lang(pt_BR) %_mandir/pt_BR/man*
%lang(pt_BR) %doc %_mandir/pt_BR/man*/*

%changelog -n net-tools
* Wed May 17 2006 - ms@suse.de
- added patch from Olaf Kirch. Do not display SCTP sockets
  if /proc/net/sctp/eps couldn't be opened (#159686)
* Tue Mar 21 2006 - okir@suse.de
- Display SCTP sockets correctly [#159686 - LTC22492]
* Mon Mar 20 2006 - hvogel@suse.de
- fix netstat -p segfault [#159069]
* Mon Feb 20 2006 - hvogel@suse.de
- fix netstat output not to bit-wrap [#149563]
* Mon Feb 06 2006 - hvogel@suse.de
- add snmp counter overflow patch by ak [#148350]
* Wed Feb 01 2006 - hvogel@suse.de
- fix arp causing unaligned access [#146422]
  patch from Arthur D. Kepner
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - mmj@suse.de
- Add patch from fedora to avoid stack smashing [#142461]
* Mon Dec 19 2005 - mmj@suse.de
- Update to traceroute-1.0.4
* Mon Dec 19 2005 - mmj@suse.de
- Update to traceroute-1.0.3
* Fri Dec 16 2005 - mmj@suse.de
- Use ICMP6_DST_UNREACH_BEYONDSCOPE instead of
  ICMP6_DST_UNREACH_NOTNEIGHBOR on newer glibc
* Tue Sep 27 2005 - mmj@suse.de
- Fix strict aliasing issues
* Mon Aug 29 2005 - mmj@suse.de
- Correct netstat.8 [#104487]
* Wed Jul 06 2005 - mmj@suse.de
- Fix missing decl in nstrcmp.c
* Mon Jun 20 2005 - mmj@suse.de
- compile with -fpie, link with -pie
- don't strip explicitly
* Mon Jun 13 2005 - ro@suse.de
- include netinet/if_tr.h instead of linux/if_tr.h
* Wed Jan 05 2005 - mmj@suse.de
- Fix --numeric-ports to not imply --numeric [#45609]
* Wed Dec 08 2004 - mmj@suse.de
- Include linux/sockios.h to get the right ioctl [#48873]. This bug
  is in mii-tool which is not included anymore, but better not risk
  ever re-adding buggy stuff.
* Thu Dec 02 2004 - mmj@suse.de
- Fix nameif segfault [#48749]
* Mon Aug 09 2004 - mmj@suse.de
- Remove mii-tool everywhere [#43343]
* Fri Jul 30 2004 - fdg@suse.de
- fixed the -ic option without destroying the ifconfig buffer
  regarding to bug #42932
* Mon May 24 2004 - meissner@suse.de
- also print unsigned long longs (last patch updated).
* Mon May 24 2004 - meissner@suse.de
- Always read 64bit values from /proc/net/dev, so we can
  use 32bit userland to read from 64bit kernel. #40951/LTC#8726
* Fri Mar 05 2004 - hare@suse.de
- Fixed return values for non-existing interfaces in nameif.
* Thu Feb 26 2004 - hare@suse.de
- Add -r option to nameif to allow renaming of
  interfaces.
* Thu Jan 29 2004 - hare@suse.de
- Cool. The last change effectively broke route(1).
-> replaced return; with break;
* Sun Jan 18 2004 - mmj@suse.de
- Fix compound statement calls, and add a missing include
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
* Mon Oct 13 2003 - mmj@suse.de
- Fix 32 vs. 64-bit programming mistakes [#32089]
* Mon Aug 18 2003 - mmj@suse.de
- Fix from mmeissner for nstrcmp.c to handle alias interfaces,
  even without standard names. (eth1:1 vs eth1:2, also
  eth1:blubber vs eth1:1) [#28985]
* Mon Jul 14 2003 - mmj@suse.de
- Add fix from okir for traceroute -S [#27573]
* Wed Jun 18 2003 - ro@suse.de
- added non-en manpage directories to filelist
* Mon May 19 2003 - mmj@suse.de
- Use a better and more tested nstrcmp.c [#26950]
* Wed May 14 2003 - ro@suse.de
- fix build with 2.5 kernel includes
* Tue May 13 2003 - mmj@suse.de
- Package man-pages in several languages
* Wed Mar 05 2003 - mmj@suse.de
- Add missing xinetd file [#24676]
* Tue Nov 26 2002 - mmj@suse.de
- Fix traceroute 6 segfault [#21975]
* Fri Nov 15 2002 - okir@suse.de
- Upgraded to new traceroute to fix #20358
* Mon Nov 11 2002 - mmj@suse.de
- Fix multi string literals
* Thu Jul 25 2002 - mmj@suse.de
- Added traceroute from Olaf Kirch, which is much more secure and
  also IPv6 capable.
* Tue Apr 16 2002 - mmj@suse.de
- Do not pack translated manpages. Should go to other package.
* Mon Mar 04 2002 - mmj@suse.de
- unvollsndig -> unvollstndig in German locale. [Bug #14371]
* Wed Feb 06 2002 - mmj@suse.de
- Removed yp and nis stuff from manpages.
* Sat Aug 25 2001 - kukuk@suse.de
- Replace last patch by a newer one from ak@suse.de
* Mon Aug 20 2001 - kukuk@suse.de
- Add fix for truncated IP addresses [Bug #9737]
* Wed Apr 25 2001 - kukuk@suse.de
- Update to net-tools-1.60:
  * lot of locale fixes
  * IPv6 fixes
  * use secure strcpy
* Tue Apr 17 2001 - ro@suse.de
- added provides for net_tool
* Sun Mar 04 2001 - bk@suse.de
- Update to 1.59(many fixes and improvements and new program nameif)
- enabled gettext support and added locales
- added ipmaddr and iptunnel tools
- enabled FDDI and HIPPI support
- use optimisation flags
- added international man pages
- spec file changes to make use of wildcards in the filelist
* Fri Oct 20 2000 - kukuk@suse.de
- Rename from net_tool to net-tools
* Sun Jun 25 2000 - bk@suse.de
- s390: removed not needed files
* Sat Jun 03 2000 - kukuk@suse.de
- Update to 1.56
* Thu May 25 2000 - kukuk@suse.de
- Update to 1.55 (contains all fixes)
* Thu May 18 2000 - kukuk@suse.de
- Add oh2bns patch (bug #2864)
* Wed Feb 09 2000 - kukuk@suse.de
- Add ifconfig manual pages from Andi Kleen
* Wed Feb 02 2000 - kukuk@suse.de
- Fix PPP initialisation
* Wed Feb 02 2000 - kukuk@suse.de
- Update to 1.54, move /usr/man -> /usr/share/man
* Mon Jan 03 2000 - kukuk@suse.de
- Enable IPv6 support
- Fix arp/ethers parsing
* Tue Oct 12 1999 - garloff@suse.de
- gateways and targets of PtP routes (host flag) are hosts, not
  networks. Change name lookup accordingly.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kukuk@suse.de
- Update to 1.53, remove ypdomainname and nisdomainname
* Sat Jun 26 1999 - kukuk@suse.de
- update from jurix to 1.52
* Tue Mar 09 1999 - ro@suse.de
- update to 1.50
- included slattach and its manpage in filelist
* Wed Oct 28 1998 - ro@suse.de
- update to 1.46 / removed incorporated changes from .dif
* Sat Sep 19 1998 - ro@suse.de
- define _GNU_SOURCE where getopt_long is used
* Tue Sep 01 1998 - ro@suse.de
- fixed problems with inluding own ipx.h under glibc
* Wed Jun 24 1998 - ro@suse.de
- added include linux/timer.h before including linux/ip_fw.h
* Mon Oct 27 1997 - ro@suse.de
- added ADD_LANG in Makefile to avoid error
  whenever-whenever - florian@suse.de
  new version 1.32-alpha
  mv /sbin/arp /usr/sbin/arp
